Package com.norconex.committer.neo4j

# Class Neo4jCommitterConfig

java.lang.Object
com.norconex.committer.neo4j.Neo4jCommitterConfig

All Implemented Interfaces:
  `Serializable`

public class Neo4jCommitterConfig extends Object implements Serializable

Neo4j Committer configuration.

Author:
  Sylvain Roussy, Pascal Essiembre
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_NEO4J_CONTENT_PROPERTY`
  Default property name used to store the document content.
  `static final String`
  `DEFAULT_NEO4J_ID_PROPERTY`
  Default property name used to store the document ID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Neo4jCommitterConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addOptionalParameter(String optionalParameter)`
  Adds a parameter name to the set of optional query parameters.
  `boolean`
  `equals(Object other)`
  `Credentials`
  `getCredentials()`
  Gets the authentication credentials.
  `String`
  `getDatabase()`
  Gets the target database name.
  `String`
  `getDeleteCypher()`
  Gets the Cypher query used for delete operations.
  `String`
  `getMultiValuesJoiner()`
  Gets the separator used to join multi-valued fields into a single string.
  `String`
  `getNodeContentProperty()`
  Gets the Neo4j property name where the document content is stored.
  `String`
  `getNodeIdProperty()`
  Gets the Neo4j property name where the document ID is stored.
  `Set<String>`
  `getOptionalParameters()`
  Gets the names of optional query parameters (those that may be absent without causing a client exception).
  `String`
  `getUpsertCypher()`
  Gets the Cypher query used for upsert operations.
  `String`
  `getUri()`
  Gets the Neo4j connection URI.
  `int`
  `hashCode()`
  `void`
  `setCredentials(Credentials credentials)`
  Sets the authentication credentials.
  `void`
  `setDatabase(String database)`
  Sets the target database name.
  `void`
  `setDeleteCypher(String deleteCypher)`
  Sets the Cypher query used for delete operations.
  `void`
  `setMultiValuesJoiner(String multiValuesJoiner)`
  Sets the separator used to join multi-valued fields.
  `void`
  `setNodeContentProperty(String nodeContentProperty)`
  Sets the Neo4j property name where the document content is stored.
  `void`
  `setNodeIdProperty(String nodeIdProperty)`
  Sets the Neo4j property name where the document ID is stored.
  `void`
  `setOptionalParameters(Set<String> optionalParameters)`
  Sets the names of optional query parameters.
  `void`
  `setUpsertCypher(String upsertCypher)`
  Sets the Cypher query used for upsert operations.
  `void`
  `setUri(String uri)`
  Sets the Neo4j connection URI (e.g., `bolt://localhost:7687`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_NEO4J_ID_PROPERTY

    public static final String DEFAULT_NEO4J_ID_PROPERTY
    Default property name used to store the document ID.
    See Also:
      - Constant Field Values

  - ### DEFAULT_NEO4J_CONTENT_PROPERTY

    public static final String DEFAULT_NEO4J_CONTENT_PROPERTY
    Default property name used to store the document content.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Neo4jCommitterConfig

    public Neo4jCommitterConfig()

- ## Method Details

  - ### getDatabase

    public String getDatabase()
    Gets the target database name.
    Returns:
      database name, or `null` for the default

  - ### setDatabase

    public void setDatabase(String database)
    Sets the target database name.
    Parameters:
      `database` - database name, or `null` for the default

  - ### getCredentials

    public Credentials getCredentials()
    Gets the authentication credentials.
    Returns:
      credentials

  - ### setCredentials

    public void setCredentials(Credentials credentials)
    Sets the authentication credentials.
    Parameters:
      `credentials` - the credentials

  - ### getUri

    public String getUri()
    Gets the Neo4j connection URI.
    Returns:
      connection URI

  - ### setUri

    public void setUri(String uri)
    Sets the Neo4j connection URI (e.g., `bolt://localhost:7687`).
    Parameters:
      `uri` - connection URI

  - ### getMultiValuesJoiner

    public String getMultiValuesJoiner()
    Gets the separator used to join multi-valued fields into a single string.
    Returns:
      multi-values joiner string

  - ### setMultiValuesJoiner

    public void setMultiValuesJoiner(String multiValuesJoiner)
    Sets the separator used to join multi-valued fields. Default is "|".
    Parameters:
      `multiValuesJoiner` - separator string

  - ### getNodeIdProperty

    public String getNodeIdProperty()
    Gets the Neo4j property name where the document ID is stored.
    Returns:
      node ID property name

  - ### setNodeIdProperty

    public void setNodeIdProperty(String nodeIdProperty)
    Sets the Neo4j property name where the document ID is stored. Default is "id".
    Parameters:
      `nodeIdProperty` - node ID property name

  - ### getNodeContentProperty

    public String getNodeContentProperty()
    Gets the Neo4j property name where the document content is stored.
    Returns:
      node content property name

  - ### setNodeContentProperty

    public void setNodeContentProperty(String nodeContentProperty)
    Sets the Neo4j property name where the document content is stored. Default is "content".
    Parameters:
      `nodeContentProperty` - node content property name

  - ### getUpsertCypher

    public String getUpsertCypher()
    Gets the Cypher query used for upsert operations.
    Returns:
      upsert Cypher query

  - ### setUpsertCypher

    public void setUpsertCypher(String upsertCypher)
    Sets the Cypher query used for upsert operations.
    Parameters:
      `upsertCypher` - upsert Cypher query

  - ### getDeleteCypher

    public String getDeleteCypher()
    Gets the Cypher query used for delete operations.
    Returns:
      delete Cypher query

  - ### setDeleteCypher

    public void setDeleteCypher(String deleteCypher)
    Sets the Cypher query used for delete operations.
    Parameters:
      `deleteCypher` - delete Cypher query

  - ### getOptionalParameters

    public Set<String> getOptionalParameters()
    Gets the names of optional query parameters (those that may be absent without causing a client exception).
    Returns:
      unmodifiable set of optional parameter names

  - ### setOptionalParameters

    public void setOptionalParameters(Set<String> optionalParameters)
    Sets the names of optional query parameters.
    Parameters:
      `optionalParameters` - optional parameter names

  - ### addOptionalParameter

    public void addOptionalParameter(String optionalParameter)
    Adds a parameter name to the set of optional query parameters.
    Parameters:
      `optionalParameter` - optional parameter name to add

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`